For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update printer

The printer path must be either a flowboxPeripheralUid or a print path. Supported protocols: lpd and jd. E.g. lpd://192.168.1.4/queuename or jd://192.168.11.2:9100/ or flowbox://flowboxPeripheralUid.

Required permissions: PRINTER

put
/tenants/{tenantUid}/printers/{printerUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
printerUidstringRequired

Reference to a printer

Pattern: ^[A-Za-z0-9-_]+
Body
storeUidstring · nullableOptionalPattern: ^[A-Za-z0-9-_]*
typestring · enumOptionalPossible values:
pathstringOptional
namestringOptional
descriptionstringOptional
Responses
200

Example response

application/json
printerUidstringRequiredPattern: ^[A-Za-z0-9-_]+
deviceUidsstring[]Required
storeUidstringRequiredPattern: ^[A-Za-z0-9-_]*
namestringRequired
descriptionstringRequired
typestring · enumRequiredPossible values:
pathstringRequired
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
put/tenants/{tenantUid}/printers/{printerUid}
PUT /v2/tenants/{tenantUid}/printers/{printerUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 162

{
  "storeUid": "text",
  "type": "LABEL",
  "path": "text",
  "name": "text",
  "description": "text",
  "settings": [
    {
      "key": "text",
      "value": "text"
    }
  ],
  "availablePrintActions": [
    "RECEIPT"
  ]
}
200

Example response

{
  "printerUid": "text",
  "deviceUids": [
    "text"
  ],
  "storeUid": "text",
  "name": "text",
  "description": "text",
  "type": "LABEL",
  "path": "text",
  "settings": [
    {
      "key": "text",
      "value": "text",
      "type": "STRING",
      "allowedValues": [
        "text"
      ],
      "validationRegex": "text",
      "name": "text",
      "required": true
    }
  ],
  "availablePrintActions": [
    "RECEIPT"
  ],
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z"
}

Last updated

Was this helpful?